package com.byteslounge.ejb;

import javax.ejb.PostActivate;
import javax.ejb.PrePassivate;
import javax.ejb.Stateful;

import com.byteslounge.model.TestingObject;

@Stateful
public class TestingPassivationBean implements TestingPassivation {

	private TestingObject testingObject;
	
	@Override
	public void setTestingObject(TestingObject testingObject) {
		this.testingObject = testingObject;	
	}

	@Override
	public TestingObject getTestingObject() {
		return testingObject;
	}
	
	@PrePassivate
	private void prePassivate(){
		// Free resources (ex: JDBC connections)
		// ...
		
		System.out.println("Passivating EJB. Property value: " 
			+ testingObject.getTestingProperty());
	}
	
	@PostActivate
	private void postActivate(){
		// Reinitialize resources (ex: JDBC connections)
		// ...
		
		System.out.println("Activating EJB. Property value: " 
			+ testingObject.getTestingProperty());
	}

}
